/************************************************************************/
/*																		*/
/*	heQTO@`ohpwb_[t@C								*/
/*																		*/
/*      Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION                 */
/************************************************************************/

/****************************************************************/
/*	萔錾													*/
/****************************************************************/
/*@foCXʁ@*/
#define GPIB		1		/*@foha	*/
#define USB			2		/*@tra		*/

/*@G[tO@*/
#define DEV_ERR		-1		/*@foCXG[		*/
#define TO_ERR		-2		/*@^CAEgG[	*/
#define PAR_ERR		-3		/*@p[^G[	*/
#define RCV_ERR		-4		/*@MG[			*/

/*@؂ւtO@*/
#define OFF			0		/*@nee		*/
#define ON			1		/*@nm		*/

/*@\؂ւtO@*/
#define VOLT		0		/*@d^d\		*/
#define WATT		1		/*@d^d͕\		*/

/*@bgw@*/
#define CH_A		1		/*@bg|`	*/
#define CH_B		2		/*@bg|a	*/
#define CH_C		3		/*@bg|b	*/
#define CH_D		4		/*@bg|c	*/

/*@vZbgw@*/
#define PR_1		1		/*@vZbgP	*/
#define PR_2		2		/*@vZbgQ	*/
#define PR_3		3		/*@vZbgR	*/
#define PR_4		4		/*@vZbgS	*/

/*@d׎w@*/
#define M_CC_H		1		/*@bb[hAdWugv					*/
#define M_CC_L		2		/*@bb[hAdWukv					*/
#define M_CR_H		3		/*@bq[hAdWugv					*/
#define M_CR_L		4		/*@bq[hAdWukv					*/
#define M_CV_H		5		/*@bu[hAdWugv					*/
#define M_CV_L		6		/*@bu[hAdWukv					*/
#define M_CP_H_L	7		/*@bo[hAdWugvAdWukv	*/
#define M_CP_H_H	8		/*@bo[hAdWugvAdWugv	*/
#define M_CP_L_L	9		/*@bo[hAdWukvAdWukv	*/
#define M_CP_L_H	10		/*@bo[hAdWukvAdWugv	*/
#define M_SHORT		11		/*@V[g[h									*/

/*@Rg[t@Xw@*/
#define REF_INT		0		/*@dRg[	*/
#define REF_EXT		1		/*@OdRg[	*/

/*@ۑΏۃf[^w@*/
#define OBJ_FREQ	1		/*@rvg			*/
#define OBJ_DUTY	2		/*@rvf[eB		*/
#define OBJ_TAB		3		/*@rvԂA	*/
#define OBJ_DELAY	4		/*@fBC		*/
#define OBJ_TRACK	5		/*@gbLOݒ	*/

/*@rvݒ@@*/
#define	SW_FREQ			0		/*@gf[eB	*/
#define	SW_TAB			1		/*@Ԃ		*/

/*@[JbNݒ@*/
#define	LOCK_FREE		0		/*@[JbN\	*/
#define	LOCK_OUT		1		/*@[JbNs		*/

/*@gbLO@*/
#define	TRC_NO			0		/*@gbLO	*/
#define	TRC_PLUS		1		/*@u{vgbLO	*/
#define	TRC_MINUS		2		/*@u|vgbLO	*/

/*@gbLO[h@*/
#define	TRC_PERCENT		0		/*@gbLO[h		*/
#define	TRC_ABS			1		/*@ΒlgbLO[h	*/

/****************************************************************/
/*	\̐錾													*/
/****************************************************************/
/*@j^[f[^\́@*/
struct MONITOR_DATA{
	double	Current;	/*@dj^[l	*/
	double	Voltage;	/*@dj^[l	*/
	double	Wattage;	/*@d̓j^[l	*/
};

/*@d׃[hݒf[^\́@*/
struct MODE_DATA{
	int	Mode;			/*@d׃[h				*/
	int Reference;		/*@Rg[t@X	*/
};

/*@XCb`OԐݒf[^\́@*/
struct TIME_DATA{
	double	Ta;			/*@Ԃ	*/
	double	Tb;			/*@Ԃ	*/
};

/*@gbLOݒf[^\́@*/
struct TRACK_DATA{
	int	Ch_A;			/*@bg|`	*/
	int	Ch_B;			/*@bg|a	*/
	int	Ch_C;			/*@bg|b	*/
	int	Ch_D;			/*@bg|c	*/
};

/*@A[f[^\́@*/
struct ALARM_DATA{
	int	Eta;			/*@OA[				*/
	int	Oha;			/*@I[o[q[gA[		*/
	int	Ova[4];			/*@I[o[{e[WA[	*/
	int	Oca[4];			/*@I[o[J[gA[	*/
	int	Ora[4];			/*@I[o[WA[		*/
};

/*@~bgf[^\́@*/
struct LIMIT_DATA{
	int	Current[4];		/*@d~bg	*/
	int	Power[4];		/*@d~bg	*/
};

/*@bg\f[^\́@*/
struct CH_DATA{
	int	Ch_A;			/*@bg|`	*/
	int	Ch_B;			/*@bg|a	*/
	int	Ch_C;			/*@bg|b	*/
	int	Ch_D;			/*@bg|c	*/
};

/* IF_50.h ̏I */
