Option Strict Off
Option Explicit On 

Imports System.Runtime.InteropServices

Module Module1
	'/***********************************************************************/
	'/*                                                                     */
	'/*     heQTO@`ohpwb_[t@C                            */
	'/*                                                                     */
	'/*	Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION                 */
	'/***********************************************************************/

    Public Declare Sub Sleep Lib "kernel32" Alias "Sleep" (ByVal dwMilliseconds As Long)

	'IF_50pWW[
	
	
	'********************************************************************************
	'   \̐錾
	'********************************************************************************
	'j^[f[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure MONITOR_DATA
        Dim Current As Double 'dj^[l
        Dim Voltage As Double 'dj^[l
        Dim Wattage As Double 'd̓j^[l
    End Structure

    'd׃[hݒf[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure MODE_DATA
        Dim Mode As Integer 'd׃[hݒ
        Dim Reference As Integer 'Rg[t@Xݒ
    End Structure

    'XCb`OԐݒf[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure TIME_DATA
        Dim Ta As Double 'Ԃݒ
        Dim Tb As Double 'Ԃݒ
    End Structure

    'gbLOݒf[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure TRACK_DATA
        Dim Ch_A As Integer 'bg|`
        Dim Ch_B As Integer 'bg|a
        Dim Ch_C As Integer 'bg|b
        Dim Ch_D As Integer 'bg|c
    End Structure

    'A[f[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure ALARM_DATA
        Dim Eta As Integer      'OA[
        Dim Oha As Integer      'I[o[q[gA[
        Dim Ova_A As Integer
        Dim Ova_B As Integer
        Dim Ova_C As Integer
        Dim Ova_D As Integer
        Dim Oca_A As Integer
        Dim Oca_B As Integer
        Dim Oca_C As Integer
        Dim Oca_D As Integer
        Dim Ora_A As Integer
        Dim Ora_B As Integer
        Dim Ora_C As Integer
        Dim Ora_D As Integer
    End Structure

    '~bgf[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure LIMIT_DATA
        Dim Current_A As Integer
        Dim Current_B As Integer
        Dim Current_C As Integer
        Dim Current_D As Integer
        Dim Power_A As Integer
        Dim Power_B As Integer
        Dim Power_C As Integer
        Dim Power_D As Integer
    End Structure

    'bgf[^\
    <StructLayout(LayoutKind.Sequential)> Public Structure CH_DATA
        Dim Ch_A As Integer 'bg|`
        Dim Ch_B As Integer 'bg|a
        Dim Ch_C As Integer 'bg|b
        Dim Ch_D As Integer 'bg|c
    End Structure


    '********************************************************************************
    '   `oh錾
    '********************************************************************************
    'UPGRADE_NOTE: Class  Class_Renamed ɃAbvO[h܂B ڍׂɂẮA'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1061"' NbNĂB
    Declare Function LW_DeviceOpen Lib "IF_50" (ByVal Class_Renamed As Integer, ByVal BoardAdrs As Integer, ByVal PcAdrs As Integer, ByVal SysAdrs As Integer) As Integer
    Declare Function LW_DeviceClose Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_DeviceRefresh Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetTimeOut Lib "IF_50" (ByVal DeviceId As Integer, ByVal Time As Integer) As Integer
    Declare Function LW_SetMainInput Lib "IF_50" (ByVal DeviceId As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetMainInput Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetInputSelect Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetInputSelect Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer) As Integer
    Declare Function LW_SetPresetNumber Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer) As Integer
    Declare Function LW_GetPresetNumber Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SavePreset Lib "IF_50" (ByVal DeviceId As Integer, ByVal Src As Integer, ByVal Dest As Integer) As Integer
    Declare Function LW_GetMonitor Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer, ByRef Monitor As MONITOR_DATA) As Integer
    Declare Function LW_SetMonitorSelect Lib "IF_50" (ByVal DeviceId As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetMonitorSelect Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetDisplaySelect Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer) As Integer
    Declare Function LW_GetDisplaySelect Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetLoadMode Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByVal Mode As Integer, ByVal Ref As Integer) As Integer
    Declare Function LW_GetLoadMode Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByRef ModeData As MODE_DATA) As Integer
    Declare Function LW_SetLoadValue Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByVal Data As Double) As Integer
    Declare Function LW_GetLoadValue Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByRef Data As Double) As Integer
    Declare Function LW_SetSiemensValue Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByVal Data As Integer) As Integer
    Declare Function LW_GetSiemensValue Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByRef Data As Integer) As Integer
    Declare Function LW_SetCurrentLimit Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByVal Data As Double) As Integer
    Declare Function LW_GetCurrentLimit Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer, ByRef Data As Double) As Integer
    Declare Function LW_SaveLoadValue Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer) As Integer
    Declare Function LW_SaveCurrentLimit Lib "IF_50" (ByVal DeviceId As Integer, ByVal Preset As Integer, ByVal CH As Integer) As Integer
    Declare Function LW_SaveMemoryData Lib "IF_50" (ByVal DeviceId As Integer, ByVal Object_Renamed As Integer) As Integer
    Declare Function LW_SetSwSelect Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetSwSelect Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer) As Integer
    Declare Function LW_SetSwFreq Lib "IF_50" (ByVal DeviceId As Integer, ByVal Freq As Integer) As Integer
    Declare Function LW_GetSwFreq Lib "IF_50" (ByVal DeviceId As Integer, ByRef Freq As Integer) As Integer
    Declare Function LW_SetSwDuty Lib "IF_50" (ByVal DeviceId As Integer, ByVal Duty As Integer) As Integer
    Declare Function LW_GetSwDuty Lib "IF_50" (ByVal DeviceId As Integer, ByRef Duty As Integer) As Integer
    Declare Function LW_SetSwTime Lib "IF_50" (ByVal DeviceId As Integer, ByVal Ta As Double, ByVal Tb As Double) As Integer
    Declare Function LW_GetSwTime Lib "IF_50" (ByVal DeviceId As Integer, ByRef Time As TIME_DATA) As Integer
    Declare Function LW_SetSwMethod Lib "IF_50" (ByVal DeviceId As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetSwMethod Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetDelayFunction Lib "IF_50" (ByVal DeviceId As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetDelayFunction Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetDelayTime Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer, ByVal Time As Double) As Integer
    Declare Function LW_GetDelayTime Lib "IF_50" (ByVal DeviceId As Integer, ByVal CH As Integer, ByRef Time As Double) As Integer
    Declare Function LW_SetTrackFunction Lib "IF_50" (ByVal DeviceId As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetTrackFunction Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetTrackDirection Lib "IF_50" (ByVal DeviceId As Integer, ByVal ChA As Integer, ByVal ChB As Integer, ByVal ChC As Integer, ByVal ChD As Integer) As Integer
    Declare Function LW_GetTrackDirection Lib "IF_50" (ByVal DeviceId As Integer, ByRef Track As TRACK_DATA) As Integer
    Declare Function LW_SetTrackMode Lib "IF_50" (ByVal DeviceId As Integer, ByVal Mode As Integer) As Integer
    Declare Function LW_GetTrackMode Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetTrackValue Lib "IF_50" (ByVal DeviceId As Integer, ByVal Data As Double) As Integer
    Declare Function LW_GetTrackValue Lib "IF_50" (ByVal DeviceId As Integer, ByRef Data As Double) As Integer
    Declare Function LW_ResetAlarm Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_GetAlarm Lib "IF_50" (ByVal DeviceId As Integer, ByRef Alarm As ALARM_DATA) As Integer
    Declare Function LW_GetLimit Lib "IF_50" (ByVal DeviceId As Integer, ByRef Limit As LIMIT_DATA) As Integer
    Declare Function LW_SetOperationTimeOut Lib "IF_50" (ByVal DeviceId As Integer, ByVal Time As Integer) As Integer
    Declare Function LW_GetOperationTimeOut Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetLocal Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_SetLocalLockOut Lib "IF_50" (ByVal DeviceId As Integer, ByVal Flag As Integer) As Integer
    Declare Function LW_GetLocalLockOut Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_GetIdNumber Lib "IF_50" (ByVal DeviceId As Integer) As Integer
    Declare Function LW_GetChExist Lib "IF_50" (ByVal DeviceId As Integer, ByRef ChData As CH_DATA) As Integer

    '********************************************************************************
    '   萔錾
    '********************************************************************************
    'foCX
    Public Const GPIB As Short = 1 'foha
    Public Const USB As Short = 2 'tra

    'G[tO
    Public Const DEV_ERR As Short = -1 'foCXG[
    Public Const TO_ERR As Short = -2 '^CAEgG[
    Public Const PAR_ERR As Short = -3 'p[^G[
    Public Const RCV_ERR As Short = -4 'MG[

    'tO
    Public Const XOFF As Short = 0 'nee
    Public Const XON As Short = 1 'nm

    '\؂ւtO
    Public Const VOLT As Short = 0 'd^d\
    Public Const WATT As Short = 1 'd^d͕\

    'bgݒl
    Public Const Ch_A As Short = 1 'bg|`
    Public Const Ch_B As Short = 2 'bg|a
    Public Const Ch_C As Short = 3 'bg|b
    Public Const Ch_D As Short = 4 'bg|c

    'vZbgݒl
    Public Const PR_1 As Short = 1 'vZbgԍP
    Public Const PR_2 As Short = 2 'vZbgԍQ
    Public Const PR_3 As Short = 3 'vZbgԍR
    Public Const PR_4 As Short = 4 'vZbgԍS

    'd׃[hݒl
    Public Const M_CCH As Short = 1 'bb[hAdWugv
    Public Const M_CCL As Short = 2 'bb[hAdWukv
    Public Const M_CRH As Short = 3 'bq[hAdWugv
    Public Const M_CRL As Short = 4 'bq[hAdWukv
    Public Const M_CVH As Short = 5 'bu[hAdWugv
    Public Const M_CVL As Short = 6 'bu[hAdWukv
    Public Const M_CPHL As Short = 7 'bo[hAdWugvAdWukv
    Public Const M_CPHH As Short = 8 'bo[hAdWugvAdWugv
    Public Const M_CPLL As Short = 9 'bo[hAdWukvAdWukv
    Public Const M_CPLH As Short = 10 'bo[hAdWukvAdWugv
    Public Const M_SHORT As Short = 11 'V[g[h

    'Rg[t@Xݒl
    Public Const REF_IN As Short = 0 'dRg[
    Public Const REF_EXT As Short = 1 'OdRg[

    'ۑΏۃf[^ݒl
    Public Const OBJ_FREQ As Short = 1 'rvg
    Public Const OBJ_DUTY As Short = 2 'rvf[eB
    Public Const OBJ_TAB As Short = 3 'rvԂA
    Public Const OBJ_DELAY As Short = 4 'fBC
    Public Const OBJ_TRACK As Short = 5 'gbLOݒ

    'XCb`O@ݒl
    Public Const SW_FREQ As Short = 0 'gf[eB
    Public Const SW_TAB As Short = 1 'Ԃ

    'gbLOݒl
    Public Const TRC_NO As Short = 0 'gbLO
    Public Const TRC_PLUS As Short = 1 'u{vgbLO
    Public Const TRC_MINUS As Short = 2 'u|vgbLO

    'gbLO[hݒl
    Public Const TRC_PERCENT As Short = 0 'gbLO[h
    Public Const TRC_ABS As Short = 1 'ΒlgbLO[h

    '[JbNAEgݒl
    Public Const LOCK_FREE As Short = 0 '\
    Public Const LOCK_OUT As Short = 1 's
End Module