Attribute VB_Name = "Module1"
'/***********************************************************************/
'/*                                                                     */
'/*     heQTO@`ohpwb_[t@C                            */
'/*                                                                     */
'/*	Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION			*/
'/***********************************************************************/

'IF_50pWW[

Option Explicit
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
'********************************************************************************
'   \̐錾
'********************************************************************************
'j^[f[^\
Public Type MONITOR_DATA
    Current As Double       'dj^[l
    Voltage As Double       'dj^[l
    Wattage As Double       'd̓j^[l
End Type

'd׃[hݒf[^\
Public Type MODE_DATA
    Mode As Long         'd׃[hݒ
    Reference As Long    'Rg[t@Xݒ
End Type
 
'XCb`OԐݒf[^\
Public Type TIME_DATA
    Ta As Double        'Ԃݒ
    Tb As Double        'Ԃݒ
End Type
 
'gbLOݒf[^\
Public Type TRACK_DATA
    Ch_A As Long        'CH-A
    Ch_B As Long        'CH-B
    Ch_C As Long        'CH-C
    Ch_D As Long        'CH-C
End Type

'A[f[^\
Public Type ALARM_DATA
    Eta As Long         'OA[
    Oha As Long         'I[o[q[gA[
    Ova_A As Long      'I[o[{e[WA[ CH-A
    Ova_B As Long      'I[o[{e[WA[ CH-B
    Ova_C As Long      'I[o[{e[WA[ CH-C
    Ova_D As Long      'I[o[{e[WA[ CH-C
    Oca_A As Long      'I[o[J[gA[ CH-A
    Oca_B As Long      'I[o[J[gA[ CH-B
    Oca_C As Long      'I[o[J[gA[ CH-C
    Oca_D As Long      'I[o[J[gA[ CH-C
    Ora_A As Long      'I[o[WA[ CH-A
    Ora_B As Long      'I[o[WA[ CH-B
    Ora_C As Long      'I[o[WA[ CH-C
    Ora_D As Long      'I[o[WA[ CH-C
End Type

'~bgf[^\
Public Type LIMIT_DATA
    Current_A As Long  'd~bg CH-A
    Current_B As Long  'd~bg CH-B
    Current_C As Long  'd~bg CH-C
    Current_D As Long  'd~bg CH-C
    Power_A As Long    'd̓~bg CH-A
    Power_B As Long    'd̓~bg CH-B
    Power_C As Long    'd̓~bg CH-C
    Power_D As Long    'd̓~bg CH-C
End Type

'bgf[^\
Public Type CH_DATA
    Ch_A As Long        'CH-A
    Ch_B As Long        'CH-B
    Ch_C As Long        'CH-C
    Ch_D As Long        'CH-C
End Type


'********************************************************************************
'   `oh錾
'********************************************************************************
Declare Function LW_DeviceOpen Lib "IF_50" (ByVal Class As Long, ByVal BoardAdrs As Long, ByVal PcAdrs As Long, ByVal SysAdrs As Long) As Long
Declare Function LW_DeviceClose Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_DeviceRefresh Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetTimeOut Lib "IF_50" (ByVal DeviceId As Long, ByVal Time As Long) As Long
Declare Function LW_SetMainInput Lib "IF_50" (ByVal DeviceId As Long, ByVal Flag As Long) As Long
Declare Function LW_GetMainInput Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetInputSelect Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long, ByVal Flag As Long) As Long
Declare Function LW_GetInputSelect Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long) As Long
Declare Function LW_SetPresetNumber Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long) As Long
Declare Function LW_GetPresetNumber Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SavePreset Lib "IF_50" (ByVal DeviceId As Long, ByVal Src As Long, ByVal Dest As Long) As Long
Declare Function LW_GetMonitor Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long, ByRef Monitor As MONITOR_DATA) As Long
Declare Function LW_SetMonitorSelect Lib "IF_50" (ByVal DeviceId As Long, ByVal Flag As Long) As Long
Declare Function LW_GetMonitorSelect Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetDisplaySelect Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long) As Long
Declare Function LW_GetDisplaySelect Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetLoadMode Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByVal Mode As Long, ByVal Ref As Long) As Long
Declare Function LW_GetLoadMode Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByRef ModeData As MODE_DATA) As Long
Declare Function LW_SetLoadValue Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByVal Data As Double) As Long
Declare Function LW_GetLoadValue Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByRef Data As Double) As Long
Declare Function LW_SetSiemensValue Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByVal Data As Long) As Long
Declare Function LW_GetSiemensValue Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByRef Data As Long) As Long
Declare Function LW_SetCurrentLimit Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByVal Data As Double) As Long
Declare Function LW_GetCurrentLimit Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long, ByRef Data As Double) As Long
Declare Function LW_SaveLoadValue Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long) As Long
Declare Function LW_SaveCurrentLimit Lib "IF_50" (ByVal DeviceId As Long, ByVal Preset As Long, ByVal CH As Long) As Long
Declare Function LW_SaveMemoryData Lib "IF_50" (ByVal DeviceId As Long, ByVal Object As Long) As Long
Declare Function LW_SetSwSelect Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long, ByVal Flag As Long) As Long
Declare Function LW_GetSwSelect Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long) As Long
Declare Function LW_SetSwFreq Lib "IF_50" (ByVal DeviceId As Long, ByVal Freq As Long) As Long
Declare Function LW_GetSwFreq Lib "IF_50" (ByVal DeviceId As Long, ByRef Freq As Long) As Long
Declare Function LW_SetSwDuty Lib "IF_50" (ByVal DeviceId As Long, ByVal Duty As Long) As Long
Declare Function LW_GetSwDuty Lib "IF_50" (ByVal DeviceId As Long, ByRef Duty As Long) As Long
Declare Function LW_SetSwTime Lib "IF_50" (ByVal DeviceId As Long, ByVal Ta As Double, ByVal Tb As Double) As Long
Declare Function LW_GetSwTime Lib "IF_50" (ByVal DeviceId As Long, ByRef Time As TIME_DATA) As Long
Declare Function LW_SetSwMethod Lib "IF_50" (ByVal DeviceId As Long, ByVal Flag As Long) As Long
Declare Function LW_GetSwMethod Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetDelayFunction Lib "IF_50" (ByVal DeviceId As Long, ByVal Flag As Long) As Long
Declare Function LW_GetDelayFunction Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetDelayTime Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long, ByVal Time As Double) As Long
Declare Function LW_GetDelayTime Lib "IF_50" (ByVal DeviceId As Long, ByVal CH As Long, ByRef Time As Double) As Long
Declare Function LW_SetTrackFunction Lib "IF_50" (ByVal DeviceId As Long, ByVal Flag As Long) As Long
Declare Function LW_GetTrackFunction Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetTrackDirection Lib "IF_50" (ByVal DeviceId As Long, ByVal ChA As Long, ByVal ChB As Long, ByVal ChC As Long, ByVal ChD As Long) As Long
Declare Function LW_GetTrackDirection Lib "IF_50" (ByVal DeviceId As Long, ByRef Track As TRACK_DATA) As Long
Declare Function LW_SetTrackMode Lib "IF_50" (ByVal DeviceId As Long, ByVal Mode As Long) As Long
Declare Function LW_GetTrackMode Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetTrackValue Lib "IF_50" (ByVal DeviceId As Long, ByVal Data As Double) As Long
Declare Function LW_GetTrackValue Lib "IF_50" (ByVal DeviceId As Long, ByRef Data As Double) As Long
Declare Function LW_ResetAlarm Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_GetAlarm Lib "IF_50" (ByVal DeviceId As Long, ByRef Alarm As ALARM_DATA) As Long
Declare Function LW_GetLimit Lib "IF_50" (ByVal DeviceId As Long, ByRef Limit As LIMIT_DATA) As Long
Declare Function LW_SetOperationTimeOut Lib "IF_50" (ByVal DeviceId As Long, ByVal Time As Long) As Long
Declare Function LW_GetOperationTimeOut Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetLocal Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_SetLocalLockOut Lib "IF_50" (ByVal DeviceId As Long, ByVal Flag As Long) As Long
Declare Function LW_GetLocalLockOut Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_GetIdNumber Lib "IF_50" (ByVal DeviceId As Long) As Long
Declare Function LW_GetChExist Lib "IF_50" (ByVal DeviceId As Long, ByRef ChData As CH_DATA) As Long

'********************************************************************************
'   萔錾
'********************************************************************************
'foCX
Global Const GPIB = 1       'foha
Global Const USB = 2        'tra

'G[tO
Global Const DEV_ERR = -1   'foCXG[
Global Const TO_ERR = -2    '^CAEgG[
Global Const PAR_ERR = -3   'p[^G[
Global Const RCV_ERR = -4   'MG[

'tO
Global Const XOFF = 0       'nee
Global Const XON = 1        'nm

'\؂ւtO
Global Const VOLT = 0       'd^d\
Global Const WATT = 1       'd^d͕\

'bgݒl
Global Const Ch_A = 1       'CH-A
Global Const Ch_B = 2       'CH-B
Global Const Ch_C = 3       'CH-C
Global Const Ch_D = 4       'CH-C

'vZbgݒl
Global Const PR_1 = 1       'vZbgԍP
Global Const PR_2 = 2       'vZbgԍQ
Global Const PR_3 = 3       'vZbgԍR
Global Const PR_4 = 4       'vZbgԍS

'd׃[hݒl
Global Const M_CCH = 1      'bb[hAdWugv
Global Const M_CCL = 2      'bb[hAdWukv
Global Const M_CRH = 3      'bq[hAdWugv
Global Const M_CRL = 4      'bq[hAdWukv
Global Const M_CVH = 5      'bu[hAdWugv
Global Const M_CVL = 6      'bu[hAdWukv
Global Const M_CPHL = 7     'bo[hAdWugvAdWukv
Global Const M_CPHH = 8     'bo[hAdWugvAdWugv
Global Const M_CPLL = 9     'bo[hAdWukvAdWukv
Global Const M_CPLH = 10    'bo[hAdWukvAdWugv
Global Const M_SHORT = 11   'V[g[h

'Rg[t@Xݒl
Global Const REF_IN = 0     'dRg[
Global Const REF_EXT = 1    'OdRg[

'ۑΏۃf[^ݒl
Global Const OBJ_FREQ = 1   'rvg
Global Const OBJ_DUTY = 2   'rvf[eB
Global Const OBJ_TAB = 3    'rvԂA
Global Const OBJ_DELAY = 4  'fBC
Global Const OBJ_TRACK = 5  'gbLOݒ

'XCb`O@ݒl
Global Const SW_FREQ = 0    'gf[eB
Global Const SW_TAB = 1     'Ԃ

'gbLOݒl
Global Const TRC_NO = 0     'gbLO
Global Const TRC_PLUS = 1   'u{vgbLO
Global Const TRC_MINUS = 2  'u|vgbLO

'gbLO[hݒl
Global Const TRC_PERCENT = 0    'gbLO[h
Global Const TRC_ABS = 1        'ΒlgbLO[h

'[JbNAEgݒl
Global Const LOCK_FREE = 0  '\
Global Const LOCK_OUT = 1   's

